glab(1)

NAME

glab-mr-merge - Merge/Accept merge requests

SYNOPSIS

glab mr merge { | } [flags]

DESCRIPTION

Merge/Accept merge requests

OPTIONS

--auto-merge[=true]
    Set auto-merge

-m, --message=""
    Custom merge commit message

-r, --rebase[=false]
    Rebase the commits onto the base branch

-d, --remove-source-branch[=false]
    Remove source branch on merge

--sha=""
    Merge Commit sha

-s, --squash[=false]
    Squash commits on merge

--squash-message=""
    Custom Squash commit message

-y, --yes[=false]
    Skip submission confirmation prompt

OPTIONS INHERITED FROM PARENT COMMANDS

--help[=false]
    Show help for command

-R, --repo=""
    Select another repository using the OWNER/REPO or GROUP/NAMESPACE/REPO format or full URL or git URL

EXAMPLE
    glab mr merge 235
    glab mr accept 235
    glab mr merge    # Finds open merge request from current branch

SEE ALSO

glab-mr(1)